org.apache.pdfbox.pdfparser.xref

## Interface XReferenceEntry

All Superinterfaces:
  Comparable<XReferenceEntry>

All Known Implementing Classes:
  AbstractXReference, FreeXReference, NormalXReference, ObjectStreamXReference

    public interface XReferenceEntry
    extends Comparable<XReferenceEntry>

An implementing class represents an entry, as it can be found in a PDF's crossreference stream (`PDFXRefStream`). Such an entry shall locate a PDF object/resource in a PDF document.

Author:
  Christian Appl

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getFirstColumnValue()` Returns the value for the first column of the crossreference stream entry.
`COSObjectKey` `getReferencedKey()` Returns the `COSObjectKey` of the object, that is described by this crossreference stream entry.
`long` `getSecondColumnValue()` Returns the value for the second column of the crossreference stream entry.
`long` `getThirdColumnValue()` Returns the value for the third column of the crossreference stream entry.
`XReferenceType` `getType()` Returns the `XReferenceType` of this crossreference stream entry.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getType

    XReferenceType getType()

Returns the `XReferenceType` of this crossreference stream entry.

Returns:
  The `XReferenceType` of this crossreference stream entry.

#### getReferencedKey

    COSObjectKey getReferencedKey()

Returns the `COSObjectKey` of the object, that is described by this crossreference stream entry.

Returns:
  The `COSObjectKey` of the object, that is described by this crossreference stream entry.

#### getFirstColumnValue

    long getFirstColumnValue()

Returns the value for the first column of the crossreference stream entry. (The numeric representation of this entry's `XReferenceType`.)

Returns:
  The value for the first column of the crossreference stream entry.

#### getSecondColumnValue

    long getSecondColumnValue()

Returns the value for the second column of the crossreference stream entry. (It's meaning depends on the `XReferenceType` of this entry.)

Returns:
  The value for the second column of the crossreference stream entry.

#### getThirdColumnValue

    long getThirdColumnValue()

Returns the value for the third column of the crossreference stream entry. (It's meaning depends on the `XReferenceType` of this entry.)

Returns:
  The value for the third column of the crossreference stream entry.